--- 
apiVersion: networking.k8s.io/v1beta1
kind: Ingress
metadata:
   name: example-ingress
spec: 
  rules: 
    - 
      host: shyamu.app
      http: 
        paths: 
          - 
            backend: 
              path: ~
              serviceName: webapp
              servicePort: 8090
            path: /
  tls: 
  - 
    hosts: 
      - shyamu.app
    secretName: shyamu.app-tls
